<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../objects/item.php';

$database = new Database();
$db = $database->getConnection();
 
$item = new Item($db);
$data = json_decode(file_get_contents("php://input"));
$stmt = $item->getAllRows();
$num = $stmt->rowCount();

$arr=array();
$arr["data"]=array();

$i = 0;

if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $mat=array(
            ++$i,
            $item_code,
            $item_name,
            $min_stock_level,
            number_format($price),
            number_format($sales_price)
        );
        array_push($arr["data"], $mat);
    }
}
echo json_encode($arr);
?>